## org.apache.bcel.classfile
Class ClassFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.classfile.ClassFormatException

All Implemented Interfaces:
  java.io.Serializable

public class ClassFormatException
extends java.lang.RuntimeException

Thrown when the BCEL attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Version:
  $Id: ClassFormatException.java,v 1.1 2002/04/24 11:01:30 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Constructor Summary
`ClassFormatException()`
`ClassFormatException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatException

    public ClassFormatException()

### ClassFormatException

    public ClassFormatException(java.lang.String s)

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.